IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/28
Addresses2^100
/64 networks2^36
- Network
2002:6f0::/28- First address
2002:6f0::- Last address
2002:6ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,267,650,600,228,229,401,496,703,205,376 (2^100)
- /64 networks (LANs)
- 68,719,476,736 (2^36)
- Full form
2002:06f0:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
f.6.0.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:6f0::/28 makes 256 subnets of /36.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:6f0::/36 | 2002:6f0:fff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:6f0:1000::/36 | 2002:6f0:1fff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:6f0:2000::/36 | 2002:6f0:2fff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:6f0:3000::/36 | 2002:6f0:3fff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:6f0:4000::/36 | 2002:6f0:4fff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:6f0:5000::/36 | 2002:6f0:5fff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:6f0:6000::/36 | 2002:6f0:6fff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:6f0:7000::/36 | 2002:6f0:7fff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:6f0:8000::/36 | 2002:6f0:8fff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:6f0:9000::/36 | 2002:6f0:9fff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:6f0:a000::/36 | 2002:6f0:afff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:6f0:b000::/36 | 2002:6f0:bfff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:6f0:c000::/36 | 2002:6f0:cfff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:6f0:d000::/36 | 2002:6f0:dfff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:6f0:e000::/36 | 2002:6f0:efff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:6f0:f000::/36 | 2002:6f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:6f1::/36 | 2002:6f1:fff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:6f1:1000::/36 | 2002:6f1:1fff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:6f1:2000::/36 | 2002:6f1:2fff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:6f1:3000::/36 | 2002:6f1:3fff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:6f1:4000::/36 | 2002:6f1:4fff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:6f1:5000::/36 | 2002:6f1:5fff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:6f1:6000::/36 | 2002:6f1:6fff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:6f1:7000::/36 | 2002:6f1:7fff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:6f1:8000::/36 | 2002:6f1:8fff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:6f1:9000::/36 | 2002:6f1:9fff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:6f1:a000::/36 | 2002:6f1:afff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:6f1:b000::/36 | 2002:6f1:bfff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:6f1:c000::/36 | 2002:6f1:cfff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:6f1:d000::/36 | 2002:6f1:dfff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:6f1:e000::/36 | 2002:6f1:efff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:6f1:f000::/36 | 2002:6f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:6f2::/36 | 2002:6f2:fff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:6f2:1000::/36 | 2002:6f2:1fff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:6f2:2000::/36 | 2002:6f2:2fff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:6f2:3000::/36 | 2002:6f2:3fff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:6f2:4000::/36 | 2002:6f2:4fff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:6f2:5000::/36 | 2002:6f2:5fff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:6f2:6000::/36 | 2002:6f2:6fff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:6f2:7000::/36 | 2002:6f2:7fff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:6f2:8000::/36 | 2002:6f2:8fff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:6f2:9000::/36 | 2002:6f2:9fff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:6f2:a000::/36 | 2002:6f2:afff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:6f2:b000::/36 | 2002:6f2:bfff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:6f2:c000::/36 | 2002:6f2:cfff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:6f2:d000::/36 | 2002:6f2:dfff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:6f2:e000::/36 | 2002:6f2:efff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:6f2:f000::/36 | 2002:6f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:6f3::/36 | 2002:6f3:fff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:6f3:1000::/36 | 2002:6f3:1fff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:6f3:2000::/36 | 2002:6f3:2fff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:6f3:3000::/36 | 2002:6f3:3fff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:6f3:4000::/36 | 2002:6f3:4fff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:6f3:5000::/36 | 2002:6f3:5fff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:6f3:6000::/36 | 2002:6f3:6fff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:6f3:7000::/36 | 2002:6f3:7fff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:6f3:8000::/36 | 2002:6f3:8fff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:6f3:9000::/36 | 2002:6f3:9fff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:6f3:a000::/36 | 2002:6f3:afff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:6f3:b000::/36 | 2002:6f3:bfff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:6f3:c000::/36 | 2002:6f3:cfff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:6f3:d000::/36 | 2002:6f3:dfff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:6f3:e000::/36 | 2002:6f3:efff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:6f3:f000::/36 | 2002:6f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:6f4::/36 | 2002:6f4:fff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:6f4:1000::/36 | 2002:6f4:1fff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:6f4:2000::/36 | 2002:6f4:2fff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:6f4:3000::/36 | 2002:6f4:3fff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:6f4:4000::/36 | 2002:6f4:4fff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:6f4:5000::/36 | 2002:6f4:5fff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:6f4:6000::/36 | 2002:6f4:6fff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:6f4:7000::/36 | 2002:6f4:7fff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:6f4:8000::/36 | 2002:6f4:8fff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:6f4:9000::/36 | 2002:6f4:9fff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:6f4:a000::/36 | 2002:6f4:afff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:6f4:b000::/36 | 2002:6f4:bfff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:6f4:c000::/36 | 2002:6f4:cfff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:6f4:d000::/36 | 2002:6f4:dfff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:6f4:e000::/36 | 2002:6f4:efff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:6f4:f000::/36 | 2002:6f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:6f5::/36 | 2002:6f5:fff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:6f5:1000::/36 | 2002:6f5:1fff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:6f5:2000::/36 | 2002:6f5:2fff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:6f5:3000::/36 | 2002:6f5:3fff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:6f5:4000::/36 | 2002:6f5:4fff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:6f5:5000::/36 | 2002:6f5:5fff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:6f5:6000::/36 | 2002:6f5:6fff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:6f5:7000::/36 | 2002:6f5:7fff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:6f5:8000::/36 | 2002:6f5:8fff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:6f5:9000::/36 | 2002:6f5:9fff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:6f5:a000::/36 | 2002:6f5:afff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:6f5:b000::/36 | 2002:6f5:bfff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:6f5:c000::/36 | 2002:6f5:cfff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:6f5:d000::/36 | 2002:6f5:dfff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:6f5:e000::/36 | 2002:6f5:efff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:6f5:f000::/36 | 2002:6f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:6f6::/36 | 2002:6f6:fff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:6f6:1000::/36 | 2002:6f6:1fff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:6f6:2000::/36 | 2002:6f6:2fff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:6f6:3000::/36 | 2002:6f6:3fff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:6f6:4000::/36 | 2002:6f6:4fff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:6f6:5000::/36 | 2002:6f6:5fff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:6f6:6000::/36 | 2002:6f6:6fff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:6f6:7000::/36 | 2002:6f6:7fff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:6f6:8000::/36 | 2002:6f6:8fff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:6f6:9000::/36 | 2002:6f6:9fff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:6f6:a000::/36 | 2002:6f6:afff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:6f6:b000::/36 | 2002:6f6:bfff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:6f6:c000::/36 | 2002:6f6:cfff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:6f6:d000::/36 | 2002:6f6:dfff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:6f6:e000::/36 | 2002:6f6:efff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:6f6:f000::/36 | 2002:6f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:6f7::/36 | 2002:6f7:fff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:6f7:1000::/36 | 2002:6f7:1fff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:6f7:2000::/36 | 2002:6f7:2fff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:6f7:3000::/36 | 2002:6f7:3fff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:6f7:4000::/36 | 2002:6f7:4fff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:6f7:5000::/36 | 2002:6f7:5fff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:6f7:6000::/36 | 2002:6f7:6fff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:6f7:7000::/36 | 2002:6f7:7fff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:6f7:8000::/36 | 2002:6f7:8fff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:6f7:9000::/36 | 2002:6f7:9fff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:6f7:a000::/36 | 2002:6f7:afff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:6f7:b000::/36 | 2002:6f7:bfff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:6f7:c000::/36 | 2002:6f7:cfff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:6f7:d000::/36 | 2002:6f7:dfff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:6f7:e000::/36 | 2002:6f7:efff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:6f7:f000::/36 | 2002:6f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:6f8::/36 | 2002:6f8:fff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:6f8:1000::/36 | 2002:6f8:1fff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:6f8:2000::/36 | 2002:6f8:2fff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:6f8:3000::/36 | 2002:6f8:3fff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:6f8:4000::/36 | 2002:6f8:4fff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:6f8:5000::/36 | 2002:6f8:5fff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:6f8:6000::/36 | 2002:6f8:6fff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:6f8:7000::/36 | 2002:6f8:7fff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:6f8:8000::/36 | 2002:6f8:8fff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:6f8:9000::/36 | 2002:6f8:9fff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:6f8:a000::/36 | 2002:6f8:afff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:6f8:b000::/36 | 2002:6f8:bfff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:6f8:c000::/36 | 2002:6f8:cfff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:6f8:d000::/36 | 2002:6f8:dfff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:6f8:e000::/36 | 2002:6f8:efff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:6f8:f000::/36 | 2002:6f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:6f9::/36 | 2002:6f9:fff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:6f9:1000::/36 | 2002:6f9:1fff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:6f9:2000::/36 | 2002:6f9:2fff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:6f9:3000::/36 | 2002:6f9:3fff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:6f9:4000::/36 | 2002:6f9:4fff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:6f9:5000::/36 | 2002:6f9:5fff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:6f9:6000::/36 | 2002:6f9:6fff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:6f9:7000::/36 | 2002:6f9:7fff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:6f9:8000::/36 | 2002:6f9:8fff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:6f9:9000::/36 | 2002:6f9:9fff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:6f9:a000::/36 | 2002:6f9:afff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:6f9:b000::/36 | 2002:6f9:bfff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:6f9:c000::/36 | 2002:6f9:cfff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:6f9:d000::/36 | 2002:6f9:dfff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:6f9:e000::/36 | 2002:6f9:efff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:6f9:f000::/36 | 2002:6f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:6fa::/36 | 2002:6fa:fff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:6fa:1000::/36 | 2002:6fa:1fff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:6fa:2000::/36 | 2002:6fa:2fff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:6fa:3000::/36 | 2002:6fa:3fff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:6fa:4000::/36 | 2002:6fa:4fff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:6fa:5000::/36 | 2002:6fa:5fff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:6fa:6000::/36 | 2002:6fa:6fff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:6fa:7000::/36 | 2002:6fa:7fff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:6fa:8000::/36 | 2002:6fa:8fff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:6fa:9000::/36 | 2002:6fa:9fff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:6fa:a000::/36 | 2002:6fa:afff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:6fa:b000::/36 | 2002:6fa:bfff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:6fa:c000::/36 | 2002:6fa:cfff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:6fa:d000::/36 | 2002:6fa:dfff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:6fa:e000::/36 | 2002:6fa:efff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:6fa:f000::/36 | 2002:6fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:6fb::/36 | 2002:6fb:fff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:6fb:1000::/36 | 2002:6fb:1fff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:6fb:2000::/36 | 2002:6fb:2fff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:6fb:3000::/36 | 2002:6fb:3fff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:6fb:4000::/36 | 2002:6fb:4fff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:6fb:5000::/36 | 2002:6fb:5fff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:6fb:6000::/36 | 2002:6fb:6fff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:6fb:7000::/36 | 2002:6fb:7fff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:6fb:8000::/36 | 2002:6fb:8fff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:6fb:9000::/36 | 2002:6fb:9fff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:6fb:a000::/36 | 2002:6fb:afff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:6fb:b000::/36 | 2002:6fb:bfff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:6fb:c000::/36 | 2002:6fb:cfff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:6fb:d000::/36 | 2002:6fb:dfff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:6fb:e000::/36 | 2002:6fb:efff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:6fb:f000::/36 | 2002:6fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:6fc::/36 | 2002:6fc:fff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:6fc:1000::/36 | 2002:6fc:1fff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:6fc:2000::/36 | 2002:6fc:2fff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:6fc:3000::/36 | 2002:6fc:3fff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:6fc:4000::/36 | 2002:6fc:4fff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:6fc:5000::/36 | 2002:6fc:5fff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:6fc:6000::/36 | 2002:6fc:6fff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:6fc:7000::/36 | 2002:6fc:7fff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:6fc:8000::/36 | 2002:6fc:8fff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:6fc:9000::/36 | 2002:6fc:9fff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:6fc:a000::/36 | 2002:6fc:afff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:6fc:b000::/36 | 2002:6fc:bfff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:6fc:c000::/36 | 2002:6fc:cfff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:6fc:d000::/36 | 2002:6fc:dfff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:6fc:e000::/36 | 2002:6fc:efff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:6fc:f000::/36 | 2002:6fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:6fd::/36 | 2002:6fd:fff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:6fd:1000::/36 | 2002:6fd:1fff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:6fd:2000::/36 | 2002:6fd:2fff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:6fd:3000::/36 | 2002:6fd:3fff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:6fd:4000::/36 | 2002:6fd:4fff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:6fd:5000::/36 | 2002:6fd:5fff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:6fd:6000::/36 | 2002:6fd:6fff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:6fd:7000::/36 | 2002:6fd:7fff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:6fd:8000::/36 | 2002:6fd:8fff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:6fd:9000::/36 | 2002:6fd:9fff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:6fd:a000::/36 | 2002:6fd:afff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:6fd:b000::/36 | 2002:6fd:bfff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:6fd:c000::/36 | 2002:6fd:cfff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:6fd:d000::/36 | 2002:6fd:dfff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:6fd:e000::/36 | 2002:6fd:efff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:6fd:f000::/36 | 2002:6fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:6fe::/36 | 2002:6fe:fff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:6fe:1000::/36 | 2002:6fe:1fff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:6fe:2000::/36 | 2002:6fe:2fff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:6fe:3000::/36 | 2002:6fe:3fff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:6fe:4000::/36 | 2002:6fe:4fff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:6fe:5000::/36 | 2002:6fe:5fff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:6fe:6000::/36 | 2002:6fe:6fff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:6fe:7000::/36 | 2002:6fe:7fff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:6fe:8000::/36 | 2002:6fe:8fff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:6fe:9000::/36 | 2002:6fe:9fff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:6fe:a000::/36 | 2002:6fe:afff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:6fe:b000::/36 | 2002:6fe:bfff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:6fe:c000::/36 | 2002:6fe:cfff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:6fe:d000::/36 | 2002:6fe:dfff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:6fe:e000::/36 | 2002:6fe:efff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:6fe:f000::/36 | 2002:6fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:6ff::/36 | 2002:6ff:fff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:6ff:1000::/36 | 2002:6ff:1fff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:6ff:2000::/36 | 2002:6ff:2fff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:6ff:3000::/36 | 2002:6ff:3fff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:6ff:4000::/36 | 2002:6ff:4fff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:6ff:5000::/36 | 2002:6ff:5fff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:6ff:6000::/36 | 2002:6ff:6fff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:6ff:7000::/36 | 2002:6ff:7fff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:6ff:8000::/36 | 2002:6ff:8fff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:6ff:9000::/36 | 2002:6ff:9fff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:6ff:a000::/36 | 2002:6ff:afff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:6ff:b000::/36 | 2002:6ff:bfff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:6ff:c000::/36 | 2002:6ff:cfff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:6ff:d000::/36 | 2002:6ff:dfff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:6ff:e000::/36 | 2002:6ff:efff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:6ff:f000::/36 | 2002:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |